from __future__ import division
import pandas as pd
from statistics import mean, median



def findStats(fileName):

    df = pd.read_csv(fileName)
    results={}

    df_room = df.groupby('Community')["Total Rooms (Channels)"].min().tolist()
    df_total_users = df.groupby('Community')["Total Users in Community"].min().tolist()

    total=0
    for key, item in df.groupby('Community'):
        print(key)
        total+=1
        print(total)
    #111 community

    #results["Total Community"]=[min(community),max(community),sum(community),mean(community),median(community)]
    results["Total Room"]=[min(df_room),max(df_room),sum(df_room),mean(df_room),median(df_room)]
    results["Total Users In Channel"]=[min(df_total_users),max(df_total_users),sum(df_total_users),mean(df_total_users),median(df_total_users)]
    results["Total Users In That Channel"]=[df['Total Users In That Channel'].min(),df['Total Users In That Channel'].max(),df['Total Users In That Channel'].sum(),df['Total Users In That Channel'].mean(),df['Total Users In That Channel'].median()]

    return results


if __name__ == '__main__':
    results = findStats("Detailed_communities_details.csv")
    column  = ["Meta", "Min", "Max", "Sum","Mean","Median"]
    rows=[]
    for key, value in results.items():
        rows.append((key,value[0],value[1],value[2],value[3],value[4]))
        print(rows)
    dev_df = pd.DataFrame(rows, columns=column)
    dev_df.to_csv("communities_details_stats.csv", index=None)



